# Element Summary

Element | Description | Class
--- | --- | ---
component |  | org.apache.servicemix.drools.DroolsComponent
endpoint |  | org.apache.servicemix.drools.DroolsEndpoint
namespace-context | A NamespaceContext implementation | org.apache.servicemix.drools.support.NamespaceContextImpl

# Element Detail

## Element: component

Element | Type | Description
--- | --- | ---
endpoints | (endpoint)* |
executorFactory | <spring:bean/> | The executor factory to use to create the executor. If none is provided, one will be retrieved from the JBI container when the component is deployed into ServiceMix 3.x, or a default implementation will be used.

## Element: endpoint

Attribute | Type | Description
--- | --- | ---
autoReply | xs:boolean | Will this endpoint automatically reply to any exchanges not handled by the Drools rulebase?
defaultTargetService | xs:QName | The default service that the exchange will be sent to if none of the rules have handled it.
defaultTargetURI | xs:string | The default endpoint URI that the exchange will be sent to if none of the rules have handled it.
endpoint | xs:string | Get the endpoint implementation.
interfaceName | xs:QName | Get the qualified name of the endpoint interface.
service | xs:QName | Get the service qualified name of the endpoint.

Element | Type | Description
--- | --- | ---
assertedObjects | (<spring:bean/>)* | List of additional objects to be inserted into the drools working memory for evaluating rules.
component | component |
globals | <spring:bean/> | The global variables that are available while evaluating the rule base.
namespaceContext | namespace-context | The namespace context to use when evaluating the rules.
ruleBase | <spring:bean/> | Set the rule base to be used for handling the exchanges
ruleBaseResource | <spring:bean/> | Specifies the resource location to load the rule base from (.drl file)
ruleBaseURL | <spring:bean/> | Specifies a URL to load the rule base from (.drl file)
su | <spring:bean/> |

## Element: namespace-context

Element | Type | Description
--- | --- | ---
namespaces | <spring:bean/> | Keep the getter/setter to keep xbean annotation